=== debian/changelog ===
ceph (12.2.2-0ubuntu0.17.10.1) artful; urgency=medium

  * New upstream stable release (LP: #1739002).
    - d/p/armhf-ftbfs.patch: Cherry pick upstream fix to resolve
      FTBFS on armhf.

 -- James Page <james.page@ubuntu.com>  Thu, 04 Jan 2018 09:17:50 +0000

ceph (12.2.1-0ubuntu0.17.10.1) artful; urgency=medium

  * New upstream stable release (LP: #1728576).

 -- James Page <james.page@ubuntu.com>  Mon, 27 Nov 2017 11:33:48 +0000
