=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ceph Maintainers <ceph-maintainers@lists.ceph.com>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           James Page <jamespage@debian.org>,
Homepage: http://ceph.com/
Vcs-Git: git://anonscm.debian.org/pkg-ceph/ceph.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ceph/ceph.git
Build-Depends: cmake,
               cython,
               cython3,
               debhelper (>= 9~),
               default-jdk,
               dh-exec,
               dh-python,
               dh-systemd (>= 1.5),
               dpkg-dev (>= 1.16.1~),
               g++-7 [arm64],
               gperf,
               javahelper,
               junit4,
               libaio-dev,
               libbabeltrace-ctf-dev,
               libbabeltrace-dev,
               libblkid-dev,
               libboost-context-dev (>= 1.61) [i386 amd64 armhf arm64 ppc64el],
               libboost-coroutine-dev (>= 1.61) [i386 amd64 armhf arm64 ppc64el],
               libboost-date-time-dev (>= 1.61),
               libboost-dev (>= 1.61),
               libboost-filesystem-dev (>= 1.61),
               libboost-iostreams-dev (>= 1.61),
               libboost-program-options-dev (>= 1.61),
               libboost-python-dev (>= 1.61),
               libboost-random-dev (>= 1.61),
               libboost-regex-dev (>= 1.61),
               libboost-system-dev (>= 1.61),
               libboost-thread-dev (>= 1.61),
               libbz2-dev,
               libcurl4-gnutls-dev,
               libedit-dev,
               libexpat1-dev,
               libfuse-dev,
               libgoogle-perftools-dev [i386 amd64 powerpc armhf arm64 ppc64el],
               libibverbs-dev,
               libkeyutils-dev,
               libldap2-dev,
               libleveldb-dev,
               libnss3-dev,
               libsnappy-dev,
               libssl-dev,
               libtool,
               libudev-dev,
               libxml2-dev,
               lsb-release,
               pkg-config,
               python-all-dev (>= 2.6.6-3~),
               python-cherrypy3,
               python-nose,
               python-pecan,
               python-prettytable,
               python-setuptools,
               python-sphinx,
               python-werkzeug,
               python3-all-dev,
               python3-setuptools,
               uuid-dev,
               uuid-runtime,
               valgrind [amd64 armhf i386 powerpc],
               xfslibs-dev,
               xfsprogs,
               yasm [amd64],
               zlib1g-dev,
Build-Conflicts: libcrypto++-dev,
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
XS-Testsuite: autopkgtest

Package: ceph
Architecture: linux-any
Depends: ceph-mgr (= ${binary:Version}),
         ceph-mon (= ${binary:Version}),
         ceph-osd (= ${binary:Version}),
         ${misc:Depends},
Suggests: ceph-mds (= ${binary:Version}),
Description: distributed storage and file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.

Package: ceph-base
Architecture: linux-any
Depends: binutils,
         ceph-common (= ${binary:Version}),
         cryptsetup-bin | cryptsetup,
         gdisk,
         hdparm | sdparm,
         parted,
         uuid-runtime,
         xfsprogs,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Breaks: ceph (<< 10.2.2-0ubuntu2~),
        ceph-common (<< 9.2.0-0ubuntu1~),
        ceph-test (<< 9.2.0-0ubuntu1~),
        python-ceph (<< 0.94.1-1~),
Replaces: ceph (<< 10.2.2-0ubuntu2~),
          ceph-common (<< 9.2.0-0ubuntu1~),
          ceph-test (<< 9.2.0-0ubuntu1~),
          python-ceph (<< 0.94.1-1~),
Recommends: libcephfs2,
            librados2,
            libradosstriper1,
            librbd1,
            ntp | time-daemon | chrony,
Suggests: logrotate,
Description: common ceph daemon libraries and management tools
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains the libraries and management tools that are common among
 the Ceph server daemons (ceph-mon, ceph-mgr, ceph-osd, ceph-mds). These tools
 are necessary for creating, running, and administering a Ceph storage cluster.

Package: rbd-mirror
Architecture: linux-any
Depends: ceph-common (= ${binary:Version}),
         librados2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Ceph daemon for mirroring RBD images
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package provides a daemon for mirroring RBD images between
 Ceph clusters, streaming changes asynchronously.

Package: rbd-nbd
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: NBD-based rbd client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 NBD-based client that allows one to map Ceph rbd images as local
 block device.
 .
 NBD base client that allows one to map Ceph rbd images as local
 block device.

Package: ceph-common
Architecture: linux-any
Depends: librbd1 (= ${binary:Version}),
         python-cephfs (= ${binary:Version}),
         python-prettytable,
         python-rados (= ${binary:Version}),
         python-rbd (= ${binary:Version}),
         python-requests,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Conflicts: ceph-client-tools,
Breaks: ceph (<< 9.2.0-0ubuntu1~),
        ceph-fs-common (<< 12.0.3-0ubuntu1~),
        ceph-test (<< 9.2.0-0ubuntu1~),
        librbd1 (<< 0.94.1-1~),
        python-ceph (<< 0.94.1-1~),
        radosgw (<< 12.0.3-0ubuntu1~),
Replaces: ceph (<< 9.2.0-0ubuntu1~),
          ceph-client-tools,
          ceph-fs-common (<< 12.0.3-0ubuntu1~),
          ceph-test (<< 9.2.0-0ubuntu1~),
          librbd1 (<< 0.94.1-1~),
          python-ceph (<< 0.94.1-1~),
          radosgw (<< 12.0.3-0ubuntu1~),
Suggests: ceph,
          ceph-mds,
Description: common utilities to mount and interact with a ceph storage cluster
 Ceph is a distributed storage and file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.

Package: ceph-mgr
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}),
         python-cherrypy3,
         python-openssl,
         python-pecan,
         python-werkzeug,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Replaces: ceph (<< 0.93-417),
Breaks: ceph (<< 0.93-417),
Description: manager for the ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the manager daemon, which is used to expose high
 level management and monitoring functionality.

Package: ceph-mds
Architecture: linux-any
Depends: ceph,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ceph-common,
            ceph-fuse,
            libcephfs2,
Breaks: ceph (<< 0.67.3-1),
Replaces: ceph (<< 0.67.3-1),
Description: metadata server for the ceph distributed file system
 Ceph is a distributed storage and network file system designed to
 provide excellent performance, reliability, and scalability.
 .
 This package contains the metadata server daemon, which is used to
 create a distributed file system on top of the ceph storage cluster.

Package: ceph-mon
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Replaces: ceph (<< 10.2.2-0ubuntu2~),
Breaks: ceph (<< 10.2.2-0ubuntu2~),
Description: monitor server for the ceph storage system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the cluster monitor daemon for the Ceph storage
 system. One or more instances of ceph-mon form a Paxos part-time parliament
 cluster that provides extremely reliable and durable storage of cluster
 membership, configuration, and state.

Package: ceph-osd
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Pre-Depends: ceph-common (= ${binary:Version}),
Replaces: ceph (<< 10.2.2-0ubuntu2~),
Breaks: ceph (<< 10.2.2-0ubuntu2~),
Description: OSD server for the ceph storage system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the Object Storage Daemon for the Ceph storage system.
 It is responsible for storing objects on a local file system
 and providing access to them over the network.

Package: ceph-fuse
Architecture: amd64
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: fuse,
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: rbd-fuse
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: fuse,
Description: FUSE-based rbd client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.

Package: ceph-resource-agents
Architecture: all
Priority: extra
Recommends: pacemaker,
Depends: ceph (>= ${binary:Version}),
         resource-agents,
         ${misc:Depends},
Description: OCF-compliant resource agents for Ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the resource agents (RAs) which integrate
 Ceph with OCF-compliant cluster resource managers,
 such as Pacemaker.

Package: librados2
Architecture: linux-any
Section: libs
Conflicts: librados,
           librados1,
Replaces: librados,
          librados1,
Depends: ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados-dev
Architecture: linux-any
Section: libdevel
Depends: librados2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: librados1-dev,
           librados2-dev,
Replaces: librados1-dev,
          librados2-dev,
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
